# -*- coding: utf-8 -*-

from ydl_ai_recommender.src.utils import get_data_path
from ydl_ai_recommender.src.utils.log import create_logger


class Manager():
    def __init__(self, logger=None) -> None:
        if logger is None:
            self.logger = create_logger(__name__)
        else:
            self.logger = logger

        self.local_file_dir = get_data_path()


    def make_index(self):
        raise NotImplementedError